AGB  ·  Datenschutz  ·  Impressum  







Anmelden
Nützliche Links
Registrieren

Problem mit Android 6 und OpenSSL

Ein Thema von Ralphi · begonnen am 3. Mai 2016 · letzter Beitrag vom 21. Mai 2016
Antwort Antwort
Ralphi

Registriert seit: 11. Okt 2005
Ort: Neuss
19 Beiträge
 
Delphi 10 Seattle Professional
 
#1

Problem mit Android 6 und OpenSSL

  Alt 3. Mai 2016, 11:35
Hallo zuammmen,

Google hat mit Android 6 auf eine andere SSL-Bibliothek (BoringSSL) gewechselt und unterstützt die von Delphi/Indy verwendeten OpenSSL-Bibliotehken nicht mehr.
Bei Android 6 (z.B. Galaxy S6/S7) kommt der Fehler "SSL-Bibltiotehk konnte nicht geladen werden".
https-Aufrufe funktionieren somit unter Android 6 nicht mehr.

Kennt jemand eine Lösung für das Problem?

Gruss
Ralph

P.S.
Habe einiges dazu unter dem Thread Android M und SSL gefunden versuche mal die dort beschriebenen Ansätze.

Geändert von Ralphi ( 3. Mai 2016 um 12:31 Uhr)
  Mit Zitat antworten Zitat
Ralphi

Registriert seit: 11. Okt 2005
Ort: Neuss
19 Beiträge
 
Delphi 10 Seattle Professional
 
#2

AW: Problem mit Android 6 und OpenSSL

  Alt 4. Mai 2016, 20:01
Habe von embarcadero den Rat bekommen besser die embarcadero-Komponenten TNetHTTPClient und TNetHTTPRequest zu verwenden weil diese immer die richtigen OS-Routinen benutzen.

Habe dann umgestellt auf diese Komponenten, jetzt funktionert es ohne Probleme auch mit Android 6.
  Mit Zitat antworten Zitat
omp

Registriert seit: 7. Apr 2012
60 Beiträge
 
#3

AW: Problem mit Android 6 und OpenSSL

  Alt 9. Mai 2016, 13:25
Ich verzweifle gerade an diesem Thema.
Für die DataSnap-Verschlüsselung ist OpenSSL nötig. Habe die LIBs von einem älteren Android übernommen und das neue APK vorhin bei google play eingestellt.
Wurde jetzt abgelehnt mit Verweis auf https://support.google.com/faqs/answer/6324910
Harald
  Mit Zitat antworten Zitat
Thomas Horstmann

Registriert seit: 25. Apr 2007
86 Beiträge
 
Delphi 10.3 Rio
 
#4

AW: Problem mit Android 6 und OpenSSL

  Alt 9. Mai 2016, 17:06
Am besten die aktuelle OpenSSL Version für Android selber erzeugen. Am einfachsten geht das mit Ubuntu und dem Andriod SDK/NDK:
https://wiki.openssl.org/index.php/Android
Angehängte Dateien
Dateityp: zip 1.0.2h.zip (925,7 KB, 13x aufgerufen)
  Mit Zitat antworten Zitat
omp

Registriert seit: 7. Apr 2012
60 Beiträge
 
#5

AW: Problem mit Android 6 und OpenSSL

  Alt 18. Mai 2016, 08:47
Noch zur Info. Ich habe die Bibliotheken von einem neueren Android-Gerät geladen.
Um die Version zu ermitteln, kann man die libssl.so einfach im Texteditor öffnen und z.B. nach "1." suchen.
Man findet dann soetwas wie "... OpenSSL 1.0.1k 8 Jan 2015 external ...".
Meine App wurde mit den neuen Dateien auf google play akzeptiert.
Gruß, Harald
Harald
  Mit Zitat antworten Zitat
omp

Registriert seit: 7. Apr 2012
60 Beiträge
 
#6

AW: Problem mit Android 6 und OpenSSL

  Alt 21. Mai 2016, 13:03
Das Thema nimmt kein Ende. Meine APK mit OpenSSL 1.0.1k wurde bei Google Play akzeptiert.
Heute sehe ich aber eine Sicherheitswarnung "Deine App verwendet eine Version von OpenSSL, die eine Sicherheitslücke aufweist." Es wird jetzt OpenSSL "1.02f/1.01r or higher" verlangt. Die App wird ab dem 7.7.2016 blockiert.
Ich stoße momentan nur auf Probleme.
Harald
  Mit Zitat antworten Zitat
Thomas Horstmann

Registriert seit: 25. Apr 2007
86 Beiträge
 
Delphi 10.3 Rio
 
#7

AW: Problem mit Android 6 und OpenSSL

  Alt 21. Mai 2016, 15:45
Das wird wahrscheinlich munter so weiter gehen. Bei jeder "kritischen" Lücke gibt es eine neue OpenSSL Version. Und da Android "sicher" sein soll (ob es das ist, ist eine andere Frage), wird Google die App-Entwickler drängen aktuelle SSL-Versionen einzusetzen. Von daher ist es besser die Libs (libssl.so, libcrypto.so, libssl.a und libcrypto.a) selbst zu erzeugen. Dann kann man zeitnah reagieren und ist nicht auf externe Quellen oder Smartphones angewiesen.

Ich hatte die gleiche Warnung. Die besagte (nach meine Erinnerung), das nur neue Apps/APKs mit den alter Libs blockiert werden.

Geändert von Thomas Horstmann (21. Mai 2016 um 15:48 Uhr)
  Mit Zitat antworten Zitat
Themen-Optionen Thema durchsuchen
Thema durchsuchen:

Erweiterte Suche
Ansicht

Forumregeln

Es ist dir nicht erlaubt, neue Themen zu verfassen.
Es ist dir nicht erlaubt, auf Beiträge zu antworten.
Es ist dir nicht erlaubt, Anhänge hochzuladen.
Es ist dir nicht erlaubt, deine Beiträge zu bearbeiten.

BB-Code ist an.
Smileys sind an.
[IMG] Code ist an.
HTML-Code ist aus.
Trackbacks are an
Pingbacks are an
Refbacks are aus

Gehe zu:

Impressum · AGB · Datenschutz · Nach oben
Alle Zeitangaben in WEZ +1. Es ist jetzt 14:45 Uhr.
Powered by vBulletin® Copyright ©2000 - 2024, Jelsoft Enterprises Ltd.
LinkBacks Enabled by vBSEO © 2011, Crawlability, Inc.
Delphi-PRAXiS (c) 2002 - 2023 by Daniel R. Wolf, 2024 by Thomas Breitkreuz